﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;

using ActivitySystem.DataContract;

namespace ActivitySystem.BusinessLogic
{
    public partial class ActivityTypeManager
    {
        public Collection<ActivityType> Search(string name, bool isActive, int pageIndex, int pageSize)
        {
            return controller.Search(name, isActive, pageIndex, pageSize);
        }

        public int SearchCount(string name, bool isActive)
        {
            return controller.SearchCount(name, isActive);
        }

        public ActivityType SelectByName(string name)
        {
            return controller.SelectByName(name);
        }

        public Collection<ActivityType> SelectAll()
        {
            return controller.SelectAll();
        }
    }
}
