﻿<%@ Page Title="" Language="C#" MasterPageFile="~/ActivitySystemDefaultPage.Master" AutoEventWireup="true" CodeBehind="RoleList.aspx.cs" Inherits="ActivitySystem.Web.Admin.RoleList" %>

<%@ Register Assembly="Sunyi.Project.WebPoint.WebControl" Namespace="Sunyi.Project.WebPoint.WebControl" TagPrefix="cc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="HeadContent" runat="server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
    <style type="text/css">
        .div_search_result table
        {
            border: 1;
        }
        .div_content_searchbar input
        {
            width: 95;
        }
        .div_content_searchbar span
        {
            margin: 2px;
        }
    </style>
    <asp:ScriptManager ID="scriptManager" runat="server" />
    <asp:UpdatePanel ID="updatePanel" runat="server">
        <ContentTemplate>
            <div id="div_content_searchbar">
                <span>Role Name:</span><asp:TextBox ID="tbxRoleName" runat="server" />
                <span>Status:</span><asp:DropDownList ID="ddlStatus" runat="server">
                    <asp:ListItem Value="True">Enable</asp:ListItem>
                    <asp:ListItem Value="False">Disable</asp:ListItem>
                </asp:DropDownList>
                <asp:Button ID="btnSearch" runat="server" Text="Search" OnClick="btnSearch_Click" />
                <asp:Literal ID="litCreateNew" runat="server"><a href='RoleEdit.aspx?Mode=Create' target="_blank">Add New</a></asp:Literal>
            </div>
            <div class="div_search_result" style="margin-top: 5px;">
                <cc1:PagingGridView ID="gvRoles" runat="server" AutoGenerateColumns="False" AllowPaging="True" OnPageIndexChanging="gvRole_PageIndexChanging" PageSize="20" Width="100%">
                    <Columns>
                        <asp:TemplateField HeaderText="Role Name">
                            <ItemTemplate>
                                <a href='RoleEdit.aspx?RoleId=<%# Eval("Id")%>&Mode=Read' target="_blank">
                                    <%# Eval("RoleName")%></a>
                            </ItemTemplate>
                        </asp:TemplateField>
                        <asp:TemplateField HeaderText="Description">
                            <ItemTemplate>
                                    <%# Eval("Description").ToString().Length > 50 ? Eval("Description").ToString().Substring(0, 50)+"..." : Eval("Description").ToString()%>
                            </ItemTemplate>
                        </asp:TemplateField>
                        <asp:TemplateField HeaderText="System">
                            <ItemTemplate>
                                 <%# BindSystemName((Guid)Eval("SystemId"))%>
                            </ItemTemplate>
                        </asp:TemplateField>
                        <asp:TemplateField HeaderText="Status">
                            <ItemTemplate>
                                <%# Eval("IsActive").ToString() =="True" ? "Enable" : "Disable" %>
                            </ItemTemplate>
                        </asp:TemplateField>
                        <asp:TemplateField HeaderText="Permission">
                            <ItemTemplate>
                                <a href='RolePermission.aspx?RoleId=<%# Eval("Id") %>' target="_blank">View</a>
                            </ItemTemplate>
                        </asp:TemplateField>
                        <asp:TemplateField HeaderText="Edit">
                            <ItemTemplate>
                                <a href='RoleEdit.aspx?RoleId=<%# Eval("Id") %>&Mode=Update' target="_blank">Edit</a>
                            </ItemTemplate>
                        </asp:TemplateField>
                    </Columns>
                    <HeaderStyle BackColor="#546E96" ForeColor="#DFDFDF" />
                </cc1:PagingGridView>
            </div>
        </ContentTemplate>
    </asp:UpdatePanel>
</asp:Content>
