﻿using System;
using System.Collections.ObjectModel;
using System.ServiceModel;

using Sunyi.Project.WebPoint.DataContract;

namespace Sunyi.Project.WebPoint.ServiceContract
{
    [ServiceContract(Namespace = "http://Sunyi.Project.WebPoint.ServiceContract/ISystemInfoService")]
    public interface ISystemInfoService
    {
        [OperationContract(Name = "GetSystemInfoById")]
        SystemInfo GetSystemInfo(Guid systemId);

        [OperationContract(Name = "GetSystemInfoByName")]
        SystemInfo GetSystemInfo(string systemName);

        [OperationContract]
        Collection<SystemInfo> GetAllSystemInfo();

        [OperationContract]
        void UpdateSystemInfo(SystemInfo systemInfo,Collection<Role> roles);
    }
}
