using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;

using Sunyi.Project.WebPoint.DataContract;

namespace ActivitySystem.DataContract
{
    [Serializable]
    public partial class ActivityType : IDataEntity
    {
        #region Property

        public Guid Id
        {
            get;
            set;
        }

        public string Name
        {
            get;
            set;
        }

        public string Description
        {
            get;
            set;
        }

        public bool IsActive
        {
            get;
            set;
        }

        public DateTime InsertTimeStamp
        {
            get;
            set;
        }

        public DateTime UpdateTimeStamp
        {
            get;
            set;
        }

        #endregion

        #region Override Method

        public override bool Equals(object obj)
        {
            if (obj == null) return false;
            if (obj.GetType() != typeof(ActivityType)) return false;

            return this.Id == ((ActivityType)obj).Id;
        }

        public override int GetHashCode()
        {
            return this.Id.GetHashCode();
        }

        #endregion
    }
}
