﻿<%@ Page Title="Log In" Language="C#" AutoEventWireup="true" CodeBehind="Login.aspx.cs" Inherits="ActivitySystem.Web.Account.Login" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en">
<head id="Head1" runat="server">
    <title>Welcome to training system</title>
    <link href="~/Styles/Site.css" rel="stylesheet" type="text/css" />
    <style type="text/css">
        .sp_login
        {
            display: -moz-inline-box;
            display: inline-block;
            width: 80px;
        }
    </style>
</head>
<body>
    <form id="Form1" runat="server">
    <div class="page">
        <div class="header">
            <div class="title">
                <h1>
                    <%=Sunyi.Project.WebPoint.Configuration.SystemConfiguration.WebSite["WebSiteName"]%>
                </h1>
            </div>
            <br />
            <div class="loginDisplay">
                <span class="bold">V<%= Sunyi.Project.WebPoint.Configuration.SystemConfiguration.CurrentVersion%>
                    <br />
                </span>
            </div>
            <div class="clear hideSkiplink">
            </div>
        </div>
        <div class="main">
            <asp:ScriptManager ID="scriptManager" runat="server" />
            <asp:UpdatePanel ID="updatePanel" runat="server">
                <ContentTemplate>
                    <fieldset style="width: 500px">
                        <legend>Account Information</legend>
                        <p>
                            <span class="sp_login">User Name:</span><asp:TextBox ID="tbxUserName" runat="server" Width="300px" TabIndex="0" /></p>
                        <p>
                            <span class="sp_login">Password:</span><asp:TextBox ID="tbxPassword" runat="server" Width="300px" TextMode="Password" /><br />
                        </p>
                        <p>
                            <asp:Button ID="btnLogin" runat="server" Text="Login" OnClick="btnLogin_Click" />
                        </p>
                    </fieldset>
                </ContentTemplate>
            </asp:UpdatePanel>
        </div>
        <div class="clear">
        </div>
    </div>
    <div class="footer">
    </div>
    </form>
</body>
</html>
