﻿<%@ Page Language="C#" MasterPageFile="~/ActivitySystemPopUpPage.Master" AutoEventWireup="true" CodeBehind="View.aspx.cs" Inherits="ActivitySystem.Web.Activity.View" %>

<asp:Content ContentPlaceHolderID="HeadContent" runat="server">
    <style type="text/css">
        .div_contant {
            width: 900px;
        }

        .div_contant_head .sp_head {
            font-size: 20px;
            background-color: #4b6c9e;
            color: White;
            width: auto;
            padding-left: 10px;
            padding-right: 10px;
        }

        .div_contant_detail {
            border-style: solid;
            border-color: #4c6c9e;
            border-width: 2px;
            padding: 5px;
            margin-bottom: 5px;
        }

            .div_contant_detail span {
                display: -moz-inline-box;
                display: inline-block;
                width: 80px;
            }

            .div_contant_detail ul li {
                margin-bottom: 5px;
            }

                .div_contant_detail ul li input {
                    width: 70%;
                }

            .div_contant_detail .activity_description {
                width: 95%;
                height: 200px;
            }

            .div_contant_detail .bigbox {
                width: 100px;
                height: 50px;
            }

            .div_contant_detail .smallbox {
                width: 100px;
                height: 20px;
            }
    </style>
</asp:Content>
<asp:Content ContentPlaceHolderID="MainContent" runat="server">
    <asp:ScriptManager ID="scriptManager" runat="server" />
    <asp:UpdatePanel ID="updatePanel" runat="server">
        <ContentTemplate>
            <div class="div_contant">
                <div class="div_contant_head">
                    <span class="sp_head">ACTIVITY DETAIL</span>
                </div>
                <div class="div_contant_detail" id="div_examtemplate_detail">
                    <ul>
                        <li><span>Id:</span><asp:TextBox ID="tbxId" runat="server" Enabled="false" /></li>
                        <li><span>Title:</span><asp:TextBox ID="tbxTitle" runat="server" Enabled="false" /></li>
                        <li><span>Title:</span><asp:TextBox ID="tbxActivityType" runat="server" Enabled="false" /></li>
                        <li><span>Description:</span><asp:TextBox ID="tbxDescription" TextMode="MultiLine" CssClass="activity_description" runat="server" Enabled="false" /></li>
                        <li><span>Participants:</span><asp:TextBox ID="tbxParticipants" runat="server" Enabled="false" /></li>
                        <li><span>Launcher:</span><asp:TextBox ID="tbxLauncher" runat="server" Enabled="false" /></li>
                        <li><span>Start Time:</span><asp:TextBox ID="tbxStartTime" runat="server" Enabled="false" /></li>
                        <li><span>End Time:</span><asp:TextBox ID="tbxEndTime" runat="server" Enabled="false" /></li>
                    </ul>
                </div>
            </div>
            <div class="div_contant">
                <div class="div_contant_head">
                    <span class="sp_head">JOIN<asp:Literal ID="ltlClosed" Visible="false" runat="server"> (CLOSED)</asp:Literal></span>
                </div>
                <div class="div_contant_detail">
                    <ul>
                        <li><span>Friends:</span><asp:TextBox ID="tbxFellow" runat="server" />(Not including you!)</li>
                        <li><span>Comments:</span><asp:TextBox ID="tbxComments" runat="server" TextMode="MultiLine" CssClass="activity_description" /></li>
                        <li>
                            <asp:Button ID="btnJoin" Text="Join Now!" OnClick="btnJoin_Click" runat="server" CssClass="bigbox" />
                            <br />
                            <asp:Button ID="btnQuit" Text="Quit?" OnClick="btnQuit_Click" OnClientClick="javascript:return confirm('Are you sure to quit?');" runat="server" CssClass="smallbox" />
                            <asp:Button ID="btnDismiss" Text="Dismiss" OnClick="btnDismiss_Click" OnClientClick="javascript:return confirm('Are you sure to dismiss this activity?');" runat="server" CssClass="smallbox" />
                        </li>
                    </ul>
                </div>
            </div>
        </ContentTemplate>
    </asp:UpdatePanel>
</asp:Content>
