﻿using System;
using System.ServiceModel;

using Sunyi.Project.WebPoint.DataContract;

namespace Sunyi.Project.WebPoint.ServiceContract
{
    [ServiceContract(Namespace = "http://Sunyi.Project.WebPoint.ServiceContract/ISecurityTokenService")]
    public interface ISecurityTokenService
    {
        [OperationContract]
        Token IssueToken(string userName, string password);

        [OperationContract]
        Token GetToken(Guid id, string accessCode);

        [OperationContract]
        void RemoveToken(Guid id, string accessCode);

        [OperationContract]
        bool VerifyAccessCode(string userName, string accessCode);
    }
}
