﻿using System;
using System.Collections.ObjectModel;
using System.ServiceModel;

using Sunyi.Project.WebPoint.DataContract;

namespace Sunyi.Project.WebPoint.ServiceContract
{
    [ServiceContract(Namespace = "http://Sunyi.Project.WebPoint.ServiceContract/IUserService")]
    public interface IUserService
    {
        [OperationContract]
        User GetUser(string userName);

        [OperationContract]
        void UpdateUser(User user, Collection<Guid> removedRoles);
    }
}
